Ball = Sprite:New()

function Ball:New(o)
	o = o or {}
	-- Default values
	local angle = math.random()*math.pi*2
	o.vx = math.sin(angle)
	o.vy = math.cos(angle)
	setmetatable(o, self)
	self.__index = self
	return o
end

Ball:setImage('ball.png')
Ball.ox = 8
Ball.oy = 15
Ball.radius = 8

function Ball:move(dt)
	steigung = gradientFromMap(self.wx,self.wy)
	self.vx = self.vx + steigung[1] * dt
	self.vy = self.vy + steigung[2] * dt
	self.wx = self.wx + self.vx*dt
	self.wy = self.wy + self.vy*dt
	self.wz = zFromMap(self.wx,self.wy)
	self.vx = self.vx * 0.99
	self.vy = self.vy * 0.99
	--if self.vx^2+self.vy^2<0.001 then
	--	self.vx = 0
	--	self.vy = 0
	--end
	
	if love.keyboard.isDown("o")  then self:kill() end
end

return Ball



